Index: testsuites/psxtests/ChangeLog
===================================================================
--- testsuites/psxtests/ChangeLog	(revision fb29a8de4ae2114009d861a1a3cdd762d1ec19e8)
+++ testsuites/psxtests/ChangeLog	(revision c9c05a02e52aac91904d3e1a6512c74b8153cfd3)
@@ -1,2 +1,7 @@
+2009-08-01	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* psx07/init.c, psx07/psx07.scn, psx07/task.c: Add test for budget and
+	replenish period of zero.
+
 2009-07-30	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: testsuites/psxtests/psx07/init.c
===================================================================
--- testsuites/psxtests/psx07/init.c	(revision fb29a8de4ae2114009d861a1a3cdd762d1ec19e8)
+++ testsuites/psxtests/psx07/init.c	(revision c9c05a02e52aac91904d3e1a6512c74b8153cfd3)
@@ -68,13 +68,13 @@
   /* exercise init and destroy */
 
-  puts( "Init: pthread_attr_init - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_init - EINVAL (NULL attr)" );
   status = pthread_attr_init( NULL );
   fatal_directive_check_status_only( status, EINVAL, "null attribute" );
 
-  puts( "Init: pthread_attr_init - SUCCESSFUL" );
+  puts( "Init - pthread_attr_init - SUCCESSFUL" );
   status = pthread_attr_init( &attr );
   posix_service_failed( status, "pthread_attr_init" );
 
-  puts( "Init: initialize and destroy an attribute - SUCCESSFUL" );
+  puts( "Init - initialize and destroy an attribute - SUCCESSFUL" );
   status = pthread_attr_init( &destroyed_attr );
   posix_service_failed( status, "pthread_attr_init");
@@ -83,9 +83,9 @@
   posix_service_failed( status, "pthread_attr_destroy");
 
-  puts( "Init: pthread_attr_destroy - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_destroy - EINVAL (NULL attr)" );
   status = pthread_attr_destroy( NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL attribute" );
 
-  puts( "Init: pthread_attr_destroy - EINVAL (not initialized)" );
+  puts( "Init - pthread_attr_destroy - EINVAL (not initialized)" );
   status = pthread_attr_destroy( &destroyed_attr );
   fatal_directive_check_status_only( status, EINVAL, "not initialized" );
@@ -93,5 +93,5 @@
   /* check some errors in pthread_create */
 
-  puts( "Init: pthread_create - EINVAL (attr not initialized)" );
+  puts( "Init - pthread_create - EINVAL (attr not initialized)" );
   status = pthread_create( &Task_id, &destroyed_attr, Task_1, NULL );
   fatal_directive_check_status_only( status, EINVAL, "attribute not initialized" );
@@ -104,5 +104,5 @@
   attr.stacksize = 0;
 
-  puts( "Init: pthread_create - EINVAL (stacksize too small)" );
+  puts( "Init - pthread_create - EINVAL (stacksize too small)" );
   status = pthread_create( &Task_id, &attr, Task_1, NULL );
   fatal_directive_check_status_only( status, EINVAL, "stacksize too small" );
@@ -113,5 +113,5 @@
   
   attr.stacksize = rtems_configuration_get_work_space_size() * 10;
-  puts( "Init: pthread_create - EAGAIN (stacksize too large)" );
+  puts( "Init - pthread_create - EAGAIN (stacksize too large)" );
   status = pthread_create( &Task_id, &attr, Task_1, NULL );
   fatal_directive_check_status_only( status, EAGAIN, "stacksize too large" );
@@ -123,5 +123,5 @@
   attr.inheritsched = -1;
 
-  puts( "Init: pthread_create - EINVAL (invalid inherit scheduler)" );
+  puts( "Init - pthread_create - EINVAL (invalid inherit scheduler)" );
   status = pthread_create( &Task_id, &attr, Task_1, NULL );
   fatal_directive_check_status_only( status, EINVAL, "invalid inherit scheduler" );
@@ -133,29 +133,29 @@
 
   /* Check out pthread_attr_settime and pthread_attr_gettime */
-  puts( "Init: pthread_attr_settime - EINVAL ( null attribute )" );
+  puts( "Init - pthread_attr_settime - EINVAL ( null attribute )" );
   status = pthread_attr_setcputime( NULL, CLOCK_ENABLED );
   fatal_directive_check_status_only( status, EINVAL, "null attribute" );
 
-  puts( "Init: pthread_attr_gettime - EINVAL ( null attribute )" );
+  puts( "Init - pthread_attr_gettime - EINVAL ( null attribute )" );
   status = pthread_attr_getcputime( NULL, &clock_allowed );
   fatal_directive_check_status_only( status, EINVAL, " null attribute" );
 
-  puts( "Init: pthread_attr_settime - EINVAL ( is initialized )" );
+  puts( "Init - pthread_attr_settime - EINVAL ( is initialized )" );
   status = pthread_attr_setcputime( &destroyed_attr, CLOCK_ENABLED );
   fatal_directive_check_status_only( status, EINVAL, "is initialized" );
 
-  puts( "Init: pthread_attr_gettime - EINVAL ( is initialized )" );
+  puts( "Init - pthread_attr_gettime - EINVAL ( is initialized )" );
   status = pthread_attr_getcputime( &destroyed_attr, &clock_allowed  );
   fatal_directive_check_status_only( status, EINVAL, "is initialized" );
 
-  puts( "Init: pthread_attr_settime - EINVAL ( invalid clock allowed )" );
+  puts( "Init - pthread_attr_settime - EINVAL ( invalid clock allowed )" );
   status = pthread_attr_setcputime( &attr, ~(CLOCK_ENABLED | CLOCK_DISABLED) );
   fatal_directive_check_status_only( status, EINVAL, "invalid clock allowed" );
 
-  puts( "Init: pthread_attr_gettime - EINVAL ( NULL clock allowed )" );
+  puts( "Init - pthread_attr_gettime - EINVAL ( NULL clock allowed )" );
   status = pthread_attr_getcputime( &attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL clock allowed" );
 
-  puts( "Init: validate pthread_attr_setcputime - CLOCK_DISABLED" );
+  puts( "Init - validate pthread_attr_setcputime - CLOCK_DISABLED" );
   status = pthread_attr_setcputime( &attr, CLOCK_DISABLED );
   posix_service_failed( status, "pthread_attr_setcputime");
@@ -165,5 +165,5 @@
     perror("ERROR==> pthread_attr_setcputime to CLOCK_DISABLED failed");
 
-  puts( "Init: validate pthread_attr_setcputime - CLOCK_ENABLED" );
+  puts( "Init - validate pthread_attr_setcputime - CLOCK_ENABLED" );
   status = pthread_attr_setcputime( &attr, CLOCK_ENABLED );
   posix_service_failed( status, "pthread_attr_setcputime");
@@ -176,5 +176,5 @@
   attr.contentionscope = PTHREAD_SCOPE_SYSTEM;
 
-  puts( "Init: pthread_create - ENOTSUP (unsupported system contention scope)" );
+  puts( "Init - pthread_create - ENOTSUP (unsupported system contention scope)" );
   status = pthread_create( &Task_id, &attr, Task_1, NULL );
   fatal_directive_check_status_only( status, ENOTSUP, 
@@ -189,5 +189,5 @@
   posix_service_failed( status, "pthread_attr_setinheritsched");
 
-  puts( "Init: pthread_create - SUCCESSFUL (inherit scheduler)" );
+  puts( "Init - pthread_create - SUCCESSFUL (inherit scheduler)" );
   status = pthread_create( &Task_id, &attr, Task_1, NULL );
   posix_service_failed( status, "pthread_create");
@@ -205,40 +205,40 @@
   posix_service_failed( status, "pthread_attr_init");
 
-  puts( "Init: pthread_attr_setscope - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_setscope - EINVAL (NULL attr)" );
   status = pthread_attr_setscope( NULL, PTHREAD_SCOPE_PROCESS );
   fatal_directive_check_status_only( status, EINVAL , "NULL attr" );
 
-  puts( "Init: pthread_attr_setscope - ENOTSUP" );
+  puts( "Init - pthread_attr_setscope - ENOTSUP" );
   status = pthread_attr_setscope( &attr, PTHREAD_SCOPE_SYSTEM );
   fatal_directive_check_status_only( status, ENOTSUP, "PTHREAD_SCOPE_SYSTEM" );
 
-  puts( "Init: pthread_attr_setscope - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_setscope - EINVAL (not initialized attr)" );
   status = pthread_attr_setscope( &destroyed_attr, PTHREAD_SCOPE_PROCESS );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_setscope - EINVAL (invalid scope)" );
+  puts( "Init - pthread_attr_setscope - EINVAL (invalid scope)" );
   status = pthread_attr_setscope( &attr, -1 );
   fatal_directive_check_status_only( status, EINVAL, "invalid scope" );
 
-  puts( "Init: pthread_attr_setscope - SUCCESSFUL" );
+  puts( "Init - pthread_attr_setscope - SUCCESSFUL" );
   status = pthread_attr_setscope( &attr, PTHREAD_SCOPE_PROCESS );
   posix_service_failed( status, "pthread_attr_setscope");
 
-  puts( "Init: pthread_attr_getscope - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_getscope - EINVAL (NULL attr)" );
   status = pthread_attr_getscope( NULL, &scope );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_getscope - EINVAL (NULL scope)" );
+  puts( "Init - pthread_attr_getscope - EINVAL (NULL scope)" );
   status = pthread_attr_getscope( &attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL scope" );
 
-  puts( "Init: pthread_attr_getscope - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_getscope - EINVAL (not initialized attr)" );
   status = pthread_attr_getscope( &destroyed_attr, &scope );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_getscope - SUCCESSFUL" );
+  puts( "Init - pthread_attr_getscope - SUCCESSFUL" );
   status = pthread_attr_getscope( &attr, &scope );
   posix_service_failed( status, "pthread_attr_getscope");
-  printf( "Init: current scope attribute = %d\n", scope );
+  printf( "Init - current scope attribute = %d\n", scope );
 
   /* exercise get and set inherit scheduler */
@@ -246,37 +246,37 @@
   empty_line();
 
-  puts( "Init: pthread_attr_setinheritsched - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_setinheritsched - EINVAL (NULL attr)" );
   status = pthread_attr_setinheritsched( NULL, PTHREAD_INHERIT_SCHED );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_setinheritsched - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_setinheritsched - EINVAL (not initialized attr)" );
   status =
      pthread_attr_setinheritsched( &destroyed_attr, PTHREAD_INHERIT_SCHED );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_setinheritsched - ENOTSUP (invalid inheritsched)" );
+  puts( "Init - pthread_attr_setinheritsched - ENOTSUP (invalid inheritsched)" );
   status = pthread_attr_setinheritsched( &attr, -1 );
   fatal_directive_check_status_only( status, ENOTSUP, "invalid inheritsched" );
 
-  puts( "Init: pthread_attr_setinheritsched - SUCCESSFUL" );
+  puts( "Init - pthread_attr_setinheritsched - SUCCESSFUL" );
   status = pthread_attr_setinheritsched( &attr, PTHREAD_INHERIT_SCHED );
   posix_service_failed( status, "pthread_attr_setinheritsched");
 
-  puts( "Init: pthread_attr_getinheritsched - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_getinheritsched - EINVAL (NULL attr)" );
   status = pthread_attr_getinheritsched( NULL, &inheritsched );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_getinheritsched - EINVAL (NULL inheritsched)" );
+  puts( "Init - pthread_attr_getinheritsched - EINVAL (NULL inheritsched)" );
   status = pthread_attr_getinheritsched( &attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL inheritsched" );
 
-  puts( "Init: pthread_attr_getinheritsched - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_getinheritsched - EINVAL (not initialized attr)" );
   status = pthread_attr_getinheritsched( &destroyed_attr, &inheritsched );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_getinheritsched - SUCCESSFUL" );
+  puts( "Init - pthread_attr_getinheritsched - SUCCESSFUL" );
   status = pthread_attr_getinheritsched( &attr, &inheritsched );
   posix_service_failed( status, "pthread_attr_getinheritsched");
-  printf( "Init: current inherit scheduler attribute = %d\n", inheritsched );
+  printf( "Init - current inherit scheduler attribute = %d\n", inheritsched );
 
   /* exercise get and set inherit scheduler */
@@ -284,37 +284,37 @@
   empty_line();
 
-  puts( "Init: pthread_attr_setschedpolicy - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_setschedpolicy - EINVAL (NULL attr)" );
   status = pthread_attr_setschedpolicy( NULL, SCHED_FIFO );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_setschedpolicy - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_setschedpolicy - EINVAL (not initialized attr)" );
   status =
      pthread_attr_setschedpolicy( &destroyed_attr, SCHED_OTHER );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_setschedpolicy - ENOTSUP (invalid schedpolicy)" );
+  puts( "Init - pthread_attr_setschedpolicy - ENOTSUP (invalid schedpolicy)" );
   status = pthread_attr_setschedpolicy( &attr, -1 );
   fatal_directive_check_status_only( status, ENOTSUP, "invalid schedpolicy" );
 
-  puts( "Init: pthread_attr_setschedpolicy - SUCCESSFUL" );
+  puts( "Init - pthread_attr_setschedpolicy - SUCCESSFUL" );
   status = pthread_attr_setschedpolicy( &attr, SCHED_RR );
   posix_service_failed( status, "pthread_attr_setschedpolicy");
 
-  puts( "Init: pthread_attr_getschedpolicy - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_getschedpolicy - EINVAL (NULL attr)" );
   status = pthread_attr_getschedpolicy( NULL, &schedpolicy );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_getschedpolicy - EINVAL (NULL schedpolicy)" );
+  puts( "Init - pthread_attr_getschedpolicy - EINVAL (NULL schedpolicy)" );
   status = pthread_attr_getschedpolicy( &attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL schedpolicy" );
 
-  puts( "Init: pthread_attr_getschedpolicy - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_getschedpolicy - EINVAL (not initialized attr)" );
   status = pthread_attr_getschedpolicy( &destroyed_attr, &schedpolicy );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_getschedpolicy - SUCCESSFUL" );
+  puts( "Init - pthread_attr_getschedpolicy - SUCCESSFUL" );
   status = pthread_attr_getschedpolicy( &attr, &schedpolicy );
   posix_service_failed( status, "pthread_attr_getschedpolicy");
-  printf( "Init: current scheduler policy attribute = %d\n", schedpolicy );
+  printf( "Init - current scheduler policy attribute = %d\n", schedpolicy );
 
   /* exercise get and set stack size */
@@ -322,38 +322,38 @@
   empty_line();
 
-  puts( "Init: pthread_attr_setstacksize - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_setstacksize - EINVAL (NULL attr)" );
   status = pthread_attr_setstacksize( NULL, 0 );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_setstacksize - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_setstacksize - EINVAL (not initialized attr)" );
   status =
      pthread_attr_setstacksize( &destroyed_attr, 0 );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_setstacksize - SUCCESSFUL (low stacksize)" );
+  puts( "Init - pthread_attr_setstacksize - SUCCESSFUL (low stacksize)" );
   status = pthread_attr_setstacksize( &attr, 0 );
   posix_service_failed( status, "pthread_attr_setstacksize");
 
-  puts( "Init: pthread_attr_setstacksize - SUCCESSFUL (high stacksize)" );
+  puts( "Init - pthread_attr_setstacksize - SUCCESSFUL (high stacksize)" );
   status = pthread_attr_setstacksize( &attr, STACK_MINIMUM_SIZE * 2 );
   posix_service_failed( status, "");
 
-  puts( "Init: pthread_attr_getstacksize - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_getstacksize - EINVAL (NULL attr)" );
   status = pthread_attr_getstacksize( NULL, &stacksize );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_getstacksize - EINVAL (NULL stacksize)" );
+  puts( "Init - pthread_attr_getstacksize - EINVAL (NULL stacksize)" );
   status = pthread_attr_getstacksize( &attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL stacksize" );
 
-  puts( "Init: pthread_attr_getstacksize - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_getstacksize - EINVAL (not initialized attr)" );
   status = pthread_attr_getstacksize( &destroyed_attr, &stacksize );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_getstacksize - SUCCESSFUL" );
+  puts( "Init - pthread_attr_getstacksize - SUCCESSFUL" );
   status = pthread_attr_getstacksize( &attr, &stacksize );
   posix_service_failed( status, "pthread_attr_getstacksize");
   if ( stacksize == (STACK_MINIMUM_SIZE * 2) )
-    printf( "Init: current stack size attribute is OK\n" );
+    printf( "Init - current stack size attribute is OK\n" );
 
   /* exercise get and set stack address */
@@ -361,33 +361,33 @@
   empty_line();
 
-  puts( "Init: pthread_attr_setstackaddr - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_setstackaddr - EINVAL (NULL attr)" );
   status = pthread_attr_setstackaddr( NULL, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_setstackaddr - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_setstackaddr - EINVAL (not initialized attr)" );
   status =
      pthread_attr_setstackaddr( &destroyed_attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_setstackaddr - SUCCESSFUL" );
+  puts( "Init - pthread_attr_setstackaddr - SUCCESSFUL" );
   status = pthread_attr_setstackaddr( &attr, 0 );
   posix_service_failed( status, "");
 
-  puts( "Init: pthread_attr_getstackaddr - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_getstackaddr - EINVAL (NULL attr)" );
   status = pthread_attr_getstackaddr( NULL, &stackaddr );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_getstackaddr - EINVAL (NULL stackaddr)" );
+  puts( "Init - pthread_attr_getstackaddr - EINVAL (NULL stackaddr)" );
   status = pthread_attr_getstackaddr( &attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL stackaddr" );
 
-  puts( "Init: pthread_attr_getstackaddr - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_getstackaddr - EINVAL (not initialized attr)" );
   status = pthread_attr_getstackaddr( &destroyed_attr, &stackaddr );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_getstackaddr - SUCCESSFUL" );
+  puts( "Init - pthread_attr_getstackaddr - SUCCESSFUL" );
   status = pthread_attr_getstackaddr( &attr, &stackaddr );
   posix_service_failed( status, "pthread_attr_getstackaddr");
-  printf( "Init: current stack address attribute = %p\n", stackaddr );
+  printf( "Init - current stack address attribute = %p\n", stackaddr );
 
   /* exercise get and set detach state */
@@ -395,37 +395,37 @@
   empty_line();
 
-  puts( "Init: pthread_attr_setdetachstate - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_setdetachstate - EINVAL (NULL attr)" );
   status = pthread_attr_setdetachstate( NULL, PTHREAD_CREATE_DETACHED );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_setdetachstate - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_setdetachstate - EINVAL (not initialized attr)" );
   status =
      pthread_attr_setdetachstate( &destroyed_attr, PTHREAD_CREATE_JOINABLE );
   fatal_directive_check_status_only( status, EINVAL, "not initialized att" );
 
-  puts( "Init: pthread_attr_setdetachstate - EINVAL (invalid detachstate)" );
+  puts( "Init - pthread_attr_setdetachstate - EINVAL (invalid detachstate)" );
   status = pthread_attr_setdetachstate( &attr, -1 );
   fatal_directive_check_status_only( status, EINVAL, "invalid detachstate" );
 
-  puts( "Init: pthread_attr_setdetachstate - SUCCESSFUL" );
+  puts( "Init - pthread_attr_setdetachstate - SUCCESSFUL" );
   status = pthread_attr_setdetachstate( &attr, PTHREAD_CREATE_JOINABLE );
   posix_service_failed( status, "pthread_attr_setdetachstate");
 
-  puts( "Init: pthread_attr_getdetachstate - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_getdetachstate - EINVAL (NULL attr)" );
   status = pthread_attr_getdetachstate( NULL, &detachstate );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_getdetachstate - EINVAL (NULL detatchstate)" );
+  puts( "Init - pthread_attr_getdetachstate - EINVAL (NULL detatchstate)" );
   status = pthread_attr_getdetachstate( &attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL detatchstate" );
 
-  puts( "Init: pthread_attr_getdetachstate - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_getdetachstate - EINVAL (not initialized attr)" );
   status = pthread_attr_getdetachstate( &destroyed_attr, &detachstate );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_getdetachstate - SUCCESSFUL" );
+  puts( "Init - pthread_attr_getdetachstate - SUCCESSFUL" );
   status = pthread_attr_getdetachstate( &attr, &detachstate );
   posix_service_failed( status, "pthread_attr_getdetachstate");
-  printf( "Init: current detach state attribute = %d\n", detachstate );
+  printf( "Init - current detach state attribute = %d\n", detachstate );
 
   /* exercise get and set scheduling parameters */
@@ -433,35 +433,35 @@
   empty_line();
 
-  puts( "Init: pthread_attr_getschedparam - SUCCESSFUL" );
+  puts( "Init - pthread_attr_getschedparam - SUCCESSFUL" );
   status = pthread_attr_getschedparam( &attr, &schedparam );
   posix_service_failed( status, "pthread_attr_getschedparam");
 
-  print_schedparam( "Init: ", &schedparam );
-
-  puts( "Init: pthread_attr_setschedparam - EINVAL (NULL attr)" );
+  print_schedparam( "Init - ", &schedparam );
+
+  puts( "Init - pthread_attr_setschedparam - EINVAL (NULL attr)" );
   status = pthread_attr_setschedparam( NULL, &schedparam );
   fatal_directive_check_status_only( status, EINVAL, "NULL attr" );
 
-  puts( "Init: pthread_attr_setschedparam - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_setschedparam - EINVAL (not initialized attr)" );
   status = pthread_attr_setschedparam( &destroyed_attr, &schedparam );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_setschedparam - EINVAL (NULL schedparam)" );
+  puts( "Init - pthread_attr_setschedparam - EINVAL (NULL schedparam)" );
   status = pthread_attr_setschedparam( &attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL schedparam" );
 
-  puts( "Init: pthread_attr_setschedparam - SUCCESSFUL" );
+  puts( "Init - pthread_attr_setschedparam - SUCCESSFUL" );
   status = pthread_attr_setschedparam( &attr, &schedparam );
   posix_service_failed( status, "pthread_attr_setschedparam");
 
-  puts( "Init: pthread_attr_getschedparam - EINVAL (NULL attr)" );
+  puts( "Init - pthread_attr_getschedparam - EINVAL (NULL attr)" );
   status = pthread_attr_getschedparam( NULL, &schedparam );
   fatal_directive_check_status_only( status, EINVAL, "pthread_attr_getschedparam" );
 
-  puts( "Init: pthread_attr_getschedparam - EINVAL (not initialized attr)" );
+  puts( "Init - pthread_attr_getschedparam - EINVAL (not initialized attr)" );
   status = pthread_attr_getschedparam( &destroyed_attr, &schedparam );
   fatal_directive_check_status_only( status, EINVAL, "not initialized attr" );
 
-  puts( "Init: pthread_attr_getschedparam - EINVAL (NULL schedparam)" );
+  puts( "Init - pthread_attr_getschedparam - EINVAL (NULL schedparam)" );
   status = pthread_attr_getschedparam( &attr, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL schedparam" );
@@ -471,23 +471,23 @@
   empty_line();
 
-  puts( "Init: pthread_getschedparam - EINVAL (NULL policy)" );
+  puts( "Init - pthread_getschedparam - EINVAL (NULL policy)" );
   status = pthread_getschedparam( pthread_self(), NULL, &schedparam );
   fatal_directive_check_status_only( status, EINVAL, "NULL policy" );
 
-  puts( "Init: pthread_getschedparam - EINVAL (NULL schedparam)" );
+  puts( "Init - pthread_getschedparam - EINVAL (NULL schedparam)" );
   status = pthread_getschedparam( pthread_self(), &schedpolicy, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL schedparam" );
 
-  puts( "Init: pthread_getschedparam - ESRCH (bad thread)" );
+  puts( "Init - pthread_getschedparam - ESRCH (bad thread)" );
   status = pthread_getschedparam( (pthread_t) -1, &schedpolicy, &schedparam );
   fatal_directive_check_status_only( status, ESRCH, "bad thread" );
 
-  puts( "Init: pthread_getschedparam - SUCCESSFUL" );
+  puts( "Init - pthread_getschedparam - SUCCESSFUL" );
   status = pthread_getschedparam( pthread_self(), &schedpolicy, &schedparam );
   posix_service_failed( status, "pthread_getschedparam");
 
-  printf( "Init: policy = %d\n", schedpolicy );
-
-  print_schedparam( "Init: ", &schedparam );
+  printf( "Init - policy = %d\n", schedpolicy );
+
+  print_schedparam( "Init - ", &schedparam );
 
   /* exercise pthread_setschedparam */
@@ -495,5 +495,5 @@
   empty_line();
 
-  puts( "Init: pthread_setschedparam - EINVAL (NULL schedparam)" );
+  puts( "Init - pthread_setschedparam - EINVAL (NULL schedparam)" );
   status = pthread_setschedparam( pthread_self(), SCHED_OTHER, NULL );
   fatal_directive_check_status_only( status, EINVAL, "NULL schedparam" );
@@ -501,5 +501,5 @@
   schedparam.sched_priority = -1;
 
-  puts( "Init: pthread_setschedparam - EINVAL (invalid priority)" );
+  puts( "Init - pthread_setschedparam - EINVAL (invalid priority)" );
   status = pthread_setschedparam( pthread_self(), SCHED_OTHER, NULL );
   fatal_directive_check_status_only( status, EINVAL, "invalid priority" );
@@ -509,13 +509,31 @@
   posix_service_failed( status, "pthread_getschedparam");
 
-  puts( "Init: pthread_setschedparam - EINVAL (invalid policy)" );
+  puts( "Init - pthread_setschedparam - EINVAL (invalid policy)" );
   status = pthread_setschedparam( pthread_self(), -1, &schedparam );
   fatal_directive_check_status_only( status, EINVAL, "invalid policy" );
 
-  puts( "Init: pthread_setschedparam - ESRCH (invalid thread)" );
+  puts( "Init - pthread_setschedparam - ESRCH (invalid thread)" );
   status = pthread_setschedparam( (pthread_t) -1, SCHED_OTHER, &schedparam );
   fatal_directive_check_status_only( status, ESRCH, "invalid thread" );
 
   /* now get sporadic server errors */
+
+  schedparam.ss_replenish_period.tv_sec = 0;
+  schedparam.ss_replenish_period.tv_nsec = 0;
+  schedparam.ss_initial_budget.tv_sec = 1;
+  schedparam.ss_initial_budget.tv_nsec = 1;
+
+  puts( "Init - pthread_setschedparam - EINVAL (replenish == 0)" );
+  status = pthread_setschedparam( pthread_self(), SCHED_SPORADIC, &schedparam );
+  fatal_directive_check_status_only( status, EINVAL, "replenish == 0" );
+
+  schedparam.ss_replenish_period.tv_sec = 1;
+  schedparam.ss_replenish_period.tv_nsec = 1;
+  schedparam.ss_initial_budget.tv_sec = 0;
+  schedparam.ss_initial_budget.tv_nsec = 0;
+
+  puts( "Init - pthread_setschedparam - EINVAL (budget == 0)" );
+  status = pthread_setschedparam( pthread_self(), SCHED_SPORADIC, &schedparam );
+  fatal_directive_check_status_only( status, EINVAL, "budget == 0" );
 
   schedparam.ss_replenish_period.tv_sec = 1;
@@ -524,5 +542,5 @@
   schedparam.ss_initial_budget.tv_nsec = 1;
 
-  puts( "Init: pthread_setschedparam - EINVAL (replenish < budget)" );
+  puts( "Init - pthread_setschedparam - EINVAL (replenish < budget)" );
   status = pthread_setschedparam( pthread_self(), SCHED_SPORADIC, &schedparam );
   fatal_directive_check_status_only( status, EINVAL, "replenish < budget" );
@@ -534,5 +552,5 @@
   schedparam.ss_low_priority = -1;
 
-  puts( "Init: pthread_setschedparam - EINVAL (invalid priority)" );
+  puts( "Init - pthread_setschedparam - EINVAL (invalid priority)" );
   status = pthread_setschedparam( pthread_self(), SCHED_SPORADIC, &schedparam );
   fatal_directive_check_status_only( status, EINVAL, "invalid priority" );
Index: testsuites/psxtests/psx07/psx07.scn
===================================================================
--- testsuites/psxtests/psx07/psx07.scn	(revision fb29a8de4ae2114009d861a1a3cdd762d1ec19e8)
+++ testsuites/psxtests/psx07/psx07.scn	(revision c9c05a02e52aac91904d3e1a6512c74b8153cfd3)
@@ -1,96 +1,98 @@
 *** POSIX TEST 7 ***
 Init's ID is 0x0b010001
-Init: pthread_attr_init - EINVAL (NULL attr)
-Init: pthread_attr_init - SUCCESSFUL
-Init: initialize and destroy an attribute - SUCCESSFUL
-Init: pthread_attr_destroy - EINVAL (NULL attr)
-Init: pthread_attr_destroy - EINVAL (not initialized)
-Init: pthread_create - EINVAL (attr not initialized)
-Init: pthread_create - EINVAL (stacksize too small)
-Init: pthread_create - EAGAIN (stacksize too large)
-Init: pthread_create - EINVAL (invalid inherit scheduler)
-Init: pthread_create - ENOTSUP (unsupported system contention scope)
-Init: pthread_create - SUCCESSFUL (inherit scheduler)
-Task_1: exitting
-Init: pthread_attr_setscope - EINVAL (NULL attr)
-Init: pthread_attr_setscope - ENOTSUP
-Init: pthread_attr_setscope - EINVAL (not initialized attr)
-Init: pthread_attr_setscope - EINVAL (invalid scope)
-Init: pthread_attr_setscope - SUCCESSFUL
-Init: pthread_attr_getscope - EINVAL (NULL attr)
-Init: pthread_attr_getscope - EINVAL (NULL scope)
-Init: pthread_attr_getscope - EINVAL (not initialized attr)
-Init: pthread_attr_getscope - SUCCESSFUL
-Init: current scope attribute = 0
-Init: pthread_attr_setinheritsched - EINVAL (NULL attr)
-Init: pthread_attr_setinheritsched - EINVAL (not initialized attr)
-Init: pthread_attr_setinheritsched - ENOTSUP (invalid inheritsched)
-Init: pthread_attr_setinheritsched - SUCCESSFUL
-Init: pthread_attr_getinheritsched - EINVAL (NULL attr)
-Init: pthread_attr_getinheritsched - EINVAL (NULL inheritsched)
-Init: pthread_attr_getinheritsched - EINVAL (not initialized attr)
-Init: pthread_attr_getinheritsched - SUCCESSFUL
-Init: current inherit scheduler attribute = 1
-Init: pthread_attr_setschedpolicy - EINVAL (NULL attr)
-Init: pthread_attr_setschedpolicy - EINVAL (not initialized attr)
-Init: pthread_attr_setschedpolicy - ENOTSUP (invalid schedpolicy)
-Init: pthread_attr_setschedpolicy - SUCCESSFUL
-Init: pthread_attr_getschedpolicy - EINVAL (NULL attr)
-Init: pthread_attr_getschedpolicy - EINVAL (NULL schedpolicy)
-Init: pthread_attr_getschedpolicy - EINVAL (not initialized attr)
-Init: pthread_attr_getschedpolicy - SUCCESSFUL
-Init: current scheduler policy attribute = 2
-Init: pthread_attr_setstacksize - EINVAL (NULL attr)
-Init: pthread_attr_setstacksize - EINVAL (not initialized attr)
-Init: pthread_attr_setstacksize - SUCCESSFUL (low stacksize)
-Init: pthread_attr_setstacksize - SUCCESSFUL (high stacksize)
-Init: pthread_attr_getstacksize - EINVAL (NULL attr)
-Init: pthread_attr_getstacksize - EINVAL (NULL stacksize)
-Init: pthread_attr_getstacksize - EINVAL (not initialized attr)
-Init: pthread_attr_getstacksize - SUCCESSFUL
-Init: current stack size attribute is OK
-Init: pthread_attr_setstackaddr - EINVAL (NULL attr)
-Init: pthread_attr_setstackaddr - EINVAL (not initialized attr)
-Init: pthread_attr_setstackaddr - SUCCESSFUL
-Init: pthread_attr_getstackaddr - EINVAL (NULL attr)
-Init: pthread_attr_getstackaddr - EINVAL (NULL stackaddr)
-Init: pthread_attr_getstackaddr - EINVAL (not initialized attr)
-Init: pthread_attr_getstackaddr - SUCCESSFUL
-Init: current stack address attribute = 0x0
-Init: pthread_attr_setdetachstate - EINVAL (NULL attr)
-Init: pthread_attr_setdetachstate - EINVAL (not initialized attr)
-Init: pthread_attr_setdetachstate - EINVAL (invalid detachstate)
-Init: pthread_attr_setdetachstate - SUCCESSFUL
-Init: pthread_attr_getdetachstate - EINVAL (NULL attr)
-Init: pthread_attr_getdetachstate - EINVAL (NULL detatchstate)
-Init: pthread_attr_getdetachstate - EINVAL (not initialized attr)
-Init: pthread_attr_getdetachstate - SUCCESSFUL
-Init: current detach state attribute = 1
-Init: pthread_attr_getschedparam - SUCCESSFUL
-Init: sched priority      = 2
-Init: ss_low_priority     = 0
-Init: ss_replenish_period = (0, 0)
-Init: ss_initial_budget = (0, 0)
-Init: pthread_attr_setschedparam - EINVAL (NULL attr)
-Init: pthread_attr_setschedparam - EINVAL (not initialized attr)
-Init: pthread_attr_setschedparam - EINVAL (NULL schedparam)
-Init: pthread_attr_setschedparam - SUCCESSFUL
-Init: pthread_attr_getschedparam - EINVAL (NULL attr)
-Init: pthread_attr_getschedparam - EINVAL (not initialized attr)
-Init: pthread_attr_getschedparam - EINVAL (NULL schedparam)
-Init: pthread_getschedparam - EINVAL (NULL policy)
-Init: pthread_getschedparam - EINVAL (NULL schedparam)
-Init: pthread_getschedparam - ESRCH (bad thread)
-Init: pthread_getschedparam - SUCCESSFUL
-Init: policy = 1
-Init: sched priority      = 2
-Init: ss_low_priority     = 0
-Init: ss_replenish_period = (0, 0)
-Init: ss_initial_budget = (0, 0)
-Init: pthread_setschedparam - EINVAL (NULL schedparam)
-Init: pthread_setschedparam - EINVAL (invalid priority)
-Init: pthread_setschedparam - EINVAL (invalid policy)
-Init: pthread_setschedparam - ESRCH (invalid thread)
-Init: pthread_setschedparam - EINVAL (replenish < budget)
-Init: pthread_setschedparam - EINVAL (invalid priority)
+Init - pthread_attr_init - EINVAL (NULL attr)
+Init - pthread_attr_init - SUCCESSFUL
+Init - initialize and destroy an attribute - SUCCESSFUL
+Init - pthread_attr_destroy - EINVAL (NULL attr)
+Init - pthread_attr_destroy - EINVAL (not initialized)
+Init - pthread_create - EINVAL (attr not initialized)
+Init - pthread_create - EINVAL (stacksize too small)
+Init - pthread_create - EAGAIN (stacksize too large)
+Init - pthread_create - EINVAL (invalid inherit scheduler)
+Init - pthread_create - ENOTSUP (unsupported system contention scope)
+Init - pthread_create - SUCCESSFUL (inherit scheduler)
+Task_1 - exitting
+Init - pthread_attr_setscope - EINVAL (NULL attr)
+Init - pthread_attr_setscope - ENOTSUP
+Init - pthread_attr_setscope - EINVAL (not initialized attr)
+Init - pthread_attr_setscope - EINVAL (invalid scope)
+Init - pthread_attr_setscope - SUCCESSFUL
+Init - pthread_attr_getscope - EINVAL (NULL attr)
+Init - pthread_attr_getscope - EINVAL (NULL scope)
+Init - pthread_attr_getscope - EINVAL (not initialized attr)
+Init - pthread_attr_getscope - SUCCESSFUL
+Init - current scope attribute = 0
+Init - pthread_attr_setinheritsched - EINVAL (NULL attr)
+Init - pthread_attr_setinheritsched - EINVAL (not initialized attr)
+Init - pthread_attr_setinheritsched - ENOTSUP (invalid inheritsched)
+Init - pthread_attr_setinheritsched - SUCCESSFUL
+Init - pthread_attr_getinheritsched - EINVAL (NULL attr)
+Init - pthread_attr_getinheritsched - EINVAL (NULL inheritsched)
+Init - pthread_attr_getinheritsched - EINVAL (not initialized attr)
+Init - pthread_attr_getinheritsched - SUCCESSFUL
+Init - current inherit scheduler attribute = 1
+Init - pthread_attr_setschedpolicy - EINVAL (NULL attr)
+Init - pthread_attr_setschedpolicy - EINVAL (not initialized attr)
+Init - pthread_attr_setschedpolicy - ENOTSUP (invalid schedpolicy)
+Init - pthread_attr_setschedpolicy - SUCCESSFUL
+Init - pthread_attr_getschedpolicy - EINVAL (NULL attr)
+Init - pthread_attr_getschedpolicy - EINVAL (NULL schedpolicy)
+Init - pthread_attr_getschedpolicy - EINVAL (not initialized attr)
+Init - pthread_attr_getschedpolicy - SUCCESSFUL
+Init - current scheduler policy attribute = 2
+Init - pthread_attr_setstacksize - EINVAL (NULL attr)
+Init - pthread_attr_setstacksize - EINVAL (not initialized attr)
+Init - pthread_attr_setstacksize - SUCCESSFUL (low stacksize)
+Init - pthread_attr_setstacksize - SUCCESSFUL (high stacksize)
+Init - pthread_attr_getstacksize - EINVAL (NULL attr)
+Init - pthread_attr_getstacksize - EINVAL (NULL stacksize)
+Init - pthread_attr_getstacksize - EINVAL (not initialized attr)
+Init - pthread_attr_getstacksize - SUCCESSFUL
+Init - current stack size attribute is OK
+Init - pthread_attr_setstackaddr - EINVAL (NULL attr)
+Init - pthread_attr_setstackaddr - EINVAL (not initialized attr)
+Init - pthread_attr_setstackaddr - SUCCESSFUL
+Init - pthread_attr_getstackaddr - EINVAL (NULL attr)
+Init - pthread_attr_getstackaddr - EINVAL (NULL stackaddr)
+Init - pthread_attr_getstackaddr - EINVAL (not initialized attr)
+Init - pthread_attr_getstackaddr - SUCCESSFUL
+Init - current stack address attribute = 0x0
+Init - pthread_attr_setdetachstate - EINVAL (NULL attr)
+Init - pthread_attr_setdetachstate - EINVAL (not initialized attr)
+Init - pthread_attr_setdetachstate - EINVAL (invalid detachstate)
+Init - pthread_attr_setdetachstate - SUCCESSFUL
+Init - pthread_attr_getdetachstate - EINVAL (NULL attr)
+Init - pthread_attr_getdetachstate - EINVAL (NULL detatchstate)
+Init - pthread_attr_getdetachstate - EINVAL (not initialized attr)
+Init - pthread_attr_getdetachstate - SUCCESSFUL
+Init - current detach state attribute = 1
+Init - pthread_attr_getschedparam - SUCCESSFUL
+Init - sched priority      = 2
+Init - ss_low_priority     = 0
+Init - ss_replenish_period = (0, 0)
+Init - ss_initial_budget = (0, 0)
+Init - pthread_attr_setschedparam - EINVAL (NULL attr)
+Init - pthread_attr_setschedparam - EINVAL (not initialized attr)
+Init - pthread_attr_setschedparam - EINVAL (NULL schedparam)
+Init - pthread_attr_setschedparam - SUCCESSFUL
+Init - pthread_attr_getschedparam - EINVAL (NULL attr)
+Init - pthread_attr_getschedparam - EINVAL (not initialized attr)
+Init - pthread_attr_getschedparam - EINVAL (NULL schedparam)
+Init - pthread_getschedparam - EINVAL (NULL policy)
+Init - pthread_getschedparam - EINVAL (NULL schedparam)
+Init - pthread_getschedparam - ESRCH (bad thread)
+Init - pthread_getschedparam - SUCCESSFUL
+Init - policy = 1
+Init - sched priority      = 2
+Init - ss_low_priority     = 0
+Init - ss_replenish_period = (0, 0)
+Init - ss_initial_budget = (0, 0)
+Init - pthread_setschedparam - EINVAL (NULL schedparam)
+Init - pthread_setschedparam - EINVAL (invalid priority)
+Init - pthread_setschedparam - EINVAL (invalid policy)
+Init - pthread_setschedparam - ESRCH (invalid thread)
+Init - pthread_setschedparam - EINVAL (replenish == 0)
+Init - pthread_setschedparam - EINVAL (budget == 0)
+Init - pthread_setschedparam - EINVAL (replenish < budget)
+Init - pthread_setschedparam - EINVAL (invalid priority)
 *** END OF POSIX TEST 7 ***
Index: testsuites/psxtests/psx07/task.c
===================================================================
--- testsuites/psxtests/psx07/task.c	(revision fb29a8de4ae2114009d861a1a3cdd762d1ec19e8)
+++ testsuites/psxtests/psx07/task.c	(revision c9c05a02e52aac91904d3e1a6512c74b8153cfd3)
@@ -27,5 +27,5 @@
 )
 {
-  puts( "Task_1: exitting" );
+  puts( "Task_1 - exitting" );
   pthread_exit( NULL );
 
